# $Revision: 1.2.2.1 $, $Date: 2003/03/11 12:27:12 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Exporter
%define	pnam	Easy
Summary:	Exporter::Easy - takes the drudgery out of exporting symbols
Summary(pl):	Exporter::Easy - przejmujcy harwk eksportowania symboli
Name:		perl-Exporter-Easy
Version:	0.15
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exporter::Easy gets rid of the drudgery of exporting symbols allowing
you to eliminate those bits of code that exists in every single module
that uses Exporter.

It also allows you to define tags in terms of other tags and you no
longer have to worry about filling in @EXPORT_OK.

%description -l pl
Exporter::Easy pozwala pozby si harwki zwizanej z eksportowaniem
symboli, pozwalajc wyeliminowa te fragmenty kodu, istniejce w
kadym module uywajcym Exportera.

Pozwala take na definiowanie znacznikw w kontekcie innych
znacznikw, wic nie trzeba si ju martwi o wypenianie @EXPORT_OK.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -pi -e "s/INSTALLDIRS => 'perl',//" Makefile.PL
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Exporter-Easy.spec,v $
Revision 1.2.2.1  2003/03/11 12:27:12  ankry
- for RA, require new perl.prov, minor fixes
- fix License

Revision 1.2  2003/03/03 23:25:46  qboosh
- pl description(?)

Revision 1.1  2003/03/02 13:42:03  radek
- new
